%define modname yaz
%define soname %{modname}.so
%define inifile 64_%{modname}.ini

Summary:	A Z39.50 client for PHP
Name:		php-%{modname}
Epoch:		1
Version:	1.2.3
Release:	%mkrel 7
License:	PHP License
Group:		Development/PHP
URL:		http://pecl.php.net/package/yaz
Source0:	http://pecl.php.net/get/%{modname}-%{version}.tgz
Source1:	%{modname}.ini
# http://indexdata.dk/phpyaz/demo/mult.phps
Source2:	mult.php
Patch0:		yaz-antibork.diff
Requires:	php >= 3:7.4.0
Requires:	php-common = 3:7.4
BuildRequires:	php-devel >= 3:7.3.0
BuildRequires:	pkgconfig(yaz) >= 3.0.0
BuildRequires:	libicu-devel
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(libxslt)
BuildRequires:	tcp_wrappers-devel

%description
This extension implements a Z39.50 client for PHP using the YAZ toolkit.

%prep

%setup -q -n %{modname}-%{version}
[ "../package.xml" != "/" ] && mv ../package.xml .

%patch0 -p0

cp %{SOURCE1} %{inifile}
cp %{SOURCE2} mult.php

%build
%serverbuild

phpize
%configure2_5x --with-libdir=%{_lib} \
    --enable-%{modname}=shared,%{_prefix}

%make_build
mv modules/*.so .

%install
install -d %{buildroot}%{_libdir}/php/extensions
install -d %{buildroot}%{_sysconfdir}/php.d

install -m0755 %{soname} %{buildroot}%{_libdir}/php/extensions/
install -m0644 %{inifile} %{buildroot}%{_sysconfdir}/php.d/%{inifile}

%files
%doc CREDITS README mult.php package.xml
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/php.d/%{inifile}
%attr(0755,root,root) %{_libdir}/php/extensions/%{soname}




%changelog
* Thu Jun 18 2020 mokraemer <mokraemer> 1:1.2.3-7.mga7
+ Revision: 1595948
- Fix dependency
- backport for php 7.4
- backport php 7.4

* Tue Feb 18 2020 umeabot <umeabot> 1:1.2.3-6.mga8
+ Revision: 1539012
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Fri Nov 29 2019 mokraemer <mokraemer> 1:1.2.3-5.mga8
+ Revision: 1463551
+ rebuild (emptylog)

* Mon Oct 21 2019 mokraemer <mokraemer> 1:1.2.3-4.mga8
+ Revision: 1454930
- removed dirname

* Wed Dec 12 2018 mokraemer <mokraemer> 1:1.2.3-2.mga7
+ Revision: 1340501
- rebuild
- new version 1.2.3

* Fri Oct 26 2018 mokraemer <mokraemer> 1:1.2.2-6.mga7
+ Revision: 1325825
- updated requirements

* Sun Sep 23 2018 umeabot <umeabot> 1:1.2.2-5.mga7
+ Revision: 1300255
- Mageia 7 Mass Rebuild

* Sat Apr 21 2018 daviddavid <daviddavid> 1:1.2.2-4.mga7
+ Revision: 1220661
- rebuild for new yaz 5.23.1

* Mon Feb 26 2018 daviddavid <daviddavid> 1:1.2.2-3.mga7
+ Revision: 1205276
- remove no more needed BR libpth-devel

* Sun Dec 03 2017 mokraemer <mokraemer> 1:1.2.2-2.mga7
+ Revision: 1181032
+ rebuild (emptylog)

* Mon Nov 13 2017 zezinho <zezinho> 1:1.2.2-1.mga7
+ Revision: 1177249
- new version

* Thu Mar 16 2017 mrambo3501 <mrambo3501> 1:1.2.0-3.mga6
+ Revision: 1093079
- Rebuild for icu-58.2

* Sat May 14 2016 shlomif <shlomif> 1:1.2.0-2.mga6
+ Revision: 1015295
- Rebuild for the new UCI (new major)

* Tue Mar 22 2016 oden <oden> 1:1.2.0-1.mga6
+ Revision: 993986
- 1.2.0

* Fri Feb 12 2016 umeabot <umeabot> 1:1.1.6-7.mga6
+ Revision: 958503
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1:1.1.6-6.mga5
+ Revision: 746902
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Fri Apr 18 2014 oden <oden> 1:1.1.6-4.mga5
+ Revision: 616601
- rebuilt for php-5.6.0beta1

* Fri Jan 24 2014 pterjan <pterjan> 1:1.1.6-3.mga4
+ Revision: 567648
- Rebuild for new PHP

* Sat Oct 19 2013 umeabot <umeabot> 1:1.1.6-2.mga4
+ Revision: 531862
- Mageia 4 Mass Rebuild

* Mon Aug 12 2013 oden <oden> 1:1.1.6-1.mga4
+ Revision: 465627
- 1.1.6

* Thu Jun 13 2013 oden <oden> 1:1.1.5-2.mga4
+ Revision: 442748
- rebuilt for php-5.5.0RC3

* Wed Jan 30 2013 oden <oden> 1:1.1.5-1.mga3
+ Revision: 393506
- 1.1.5

* Wed Jan 30 2013 oden <oden> 1:1.1.4-3.mga3
+ Revision: 393390
- rebuilt for php-5.4.11

* Sun Jan 13 2013 umeabot <umeabot> 1:1.1.4-2.mga3
+ Revision: 377660
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Sep 12 2012 oden <oden> 1:1.1.4-1.mga3
+ Revision: 292904
- new version

* Fri Jul 27 2012 spuhler <spuhler> 1:1.1.3-1.mga3
+ Revision: 274739
- upgrade to 1.1.3

* Mon Mar 19 2012 luigiwalser <luigiwalser> 1:1.1.1-2.mga2
+ Revision: 223957
- httpd restart is handled by filetriggers now

* Sun Jan 22 2012 spuhler <spuhler> 1:1.1.1-1.mga2
+ Revision: 199803
- upgrade to 1.1.1

* Mon Feb 07 2011 spuhler <spuhler> 1:1.0.14-18.mga1
+ Revision: 48345
- removed buildroot definition from .spec
- imported package php-yaz

